Package docking.theme.gui

# Class IconValueEditor

java.lang.Object
docking.theme.gui.ThemeValueEditor<Icon>
docking.theme.gui.IconValueEditor

public class IconValueEditor extends ThemeValueEditor<Icon>
Editor for Theme fonts

- ## Field Summary

  ### Fields inherited from class docking.theme.gui.ThemeValueEditor

  `currentThemeValue, editor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IconValueEditor(PropertyChangeListener listener)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ThemeValue<Icon>`
  `createNewThemeValue(String id, Icon icon)`
  Factory method for creating the ThemeValue of the correct type.
  `protected Icon`
  `getRawValue(String id)`
  Returns the actual value (Color, Font, or Icon)

  ### Methods inherited from class docking.theme.gui.ThemeValueEditor

  `editValue, storeState`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IconValueEditor

    public IconValueEditor(PropertyChangeListener listener)
    Constructor
    Parameters:
      `listener` - the `PropertyChangeListener` to be notified when changes are made

- ## Method Details

  - ### getRawValue

    protected Icon getRawValue(String id)
    Description copied from class: `ThemeValueEditor`
    Returns the actual value (Color, Font, or Icon)
    Specified by:
      `getRawValue` in class `ThemeValueEditor<Icon>`
    Parameters:
      `id` - the theme property id for the value
    Returns:
      the current stored value for the id

  - ### createNewThemeValue

    protected ThemeValue<Icon> createNewThemeValue(String id, Icon icon)
    Description copied from class: `ThemeValueEditor`
    Factory method for creating the ThemeValue of the correct type.
    Specified by:
      `createNewThemeValue` in class `ThemeValueEditor<Icon>`
    Parameters:
      `id` - the id for theme property
      `icon` - the new value for the underlying type (Color, Font, or Icon)
    Returns:
      the new ThemeValue for the type